/* $Id: Hash_map_base.cpp,v 1.1 2003/03/10 18:45:58 lergnom Exp $ -*- C++ -*-
 * 
 * libbpfl - Bayesian Probability Filtering Library
 * Copyright (C) 2003 Anthony Ventimiglia
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#include "Hash_map_base.h"

namespace bpf {

const Hash_map_base::tablesize Hash_map_base::lookup_table_size = 37;

const Hash_map_base::tablesize
Hash_map_base::size_lookup_table[] = { 17, 29, 53, 89, 149, 251, 419, 701, 
				       1171, 1973, 3299, 5501, 9173, 15289, 
				       25523, 42557, 70937, 118247, 197083, 
				       328481, 547471, 912463, 1520777, 
				       2534641, 4224427, 7040713, 11734529, 
				       19557607, 32596013, 54326707, 90544543,
				       150907579, 251512649, 419187773, 
				       698646293, 1164410509, 1940684209, };

};				// namespace bpf
